Index: c/src/exec/score/cpu/sparc/ChangeLog
===================================================================
--- c/src/exec/score/cpu/sparc/ChangeLog	(revision ae87ce471922580b1e5356b53194b9b1eed522a8)
+++ c/src/exec/score/cpu/sparc/ChangeLog	(revision 22ed9d0ff1d288560b2604750150d22e3614a8f2)
@@ -1,2 +1,9 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* rtems/score/sparctypes.h: Removed.
+	* rtems/score/types.h: New file via CVS magic.
+	* Makefile.am, rtems/score/cpu.h: Account for name change.
+
 2002-03-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/exec/score/cpu/sparc/Makefile.am
===================================================================
--- c/src/exec/score/cpu/sparc/Makefile.am	(revision ae87ce471922580b1e5356b53194b9b1eed522a8)
+++ c/src/exec/score/cpu/sparc/Makefile.am	(revision 22ed9d0ff1d288560b2604750150d22e3614a8f2)
@@ -28,5 +28,5 @@
     rtems/score/sparc.h \
     rtems/score/cpu.h \
-    rtems/score/sparctypes.h
+    rtems/score/types.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
     $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h)
Index: c/src/exec/score/cpu/sparc/rtems/score/cpu.h
===================================================================
--- c/src/exec/score/cpu/sparc/rtems/score/cpu.h	(revision ae87ce471922580b1e5356b53194b9b1eed522a8)
+++ c/src/exec/score/cpu/sparc/rtems/score/cpu.h	(revision 22ed9d0ff1d288560b2604750150d22e3614a8f2)
@@ -23,5 +23,5 @@
 #include <rtems/score/sparc.h>               /* pick up machine definitions */
 #ifndef ASM
-#include <rtems/score/sparctypes.h>
+#include <rtems/score/types.h>
 #endif
 
Index: src/exec/score/cpu/sparc/rtems/score/sparctypes.h
===================================================================
--- c/src/exec/score/cpu/sparc/rtems/score/sparctypes.h	(revision ae87ce471922580b1e5356b53194b9b1eed522a8)
+++ 	(revision )
@@ -1,56 +1,0 @@
-/*  sparctypes.h
- *
- *  This include file contains type definitions pertaining to the 
- *  SPARC processor family.
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#ifndef __SPARC_TYPES_h
-#define __SPARC_TYPES_h
-
-#ifndef ASM
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/*
- *  This section defines the basic types for this processor.
- */
-
-typedef unsigned char      unsigned8;            /* unsigned 8-bit  integer */
-typedef unsigned short     unsigned16;           /* unsigned 16-bit integer */
-typedef unsigned int       unsigned32;           /* unsigned 32-bit integer */
-typedef unsigned long long unsigned64;           /* unsigned 64-bit integer */
-
-typedef unsigned16         Priority_Bit_map_control;
-
-typedef signed char        signed8;              /* 8-bit  signed integer */
-typedef signed short       signed16;             /* 16-bit signed integer */
-typedef signed int         signed32;             /* 32-bit signed integer */
-typedef signed long long   signed64;             /* 64 bit signed integer */
-
-typedef unsigned32         boolean;              /* Boolean value   */
-
-typedef float              single_precision;     /* single precision float */
-typedef double             double_precision;     /* double precision float */
-
-typedef void sparc_isr;
-typedef void ( *sparc_isr_entry )( void );
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif  /* !ASM */
-
-#endif
-/* end of include file */
Index: cpukit/score/cpu/sparc/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc/ChangeLog	(revision ae87ce471922580b1e5356b53194b9b1eed522a8)
+++ cpukit/score/cpu/sparc/ChangeLog	(revision 22ed9d0ff1d288560b2604750150d22e3614a8f2)
@@ -1,2 +1,9 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* rtems/score/sparctypes.h: Removed.
+	* rtems/score/types.h: New file via CVS magic.
+	* Makefile.am, rtems/score/cpu.h: Account for name change.
+
 2002-03-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/sparc/Makefile.am
===================================================================
--- cpukit/score/cpu/sparc/Makefile.am	(revision ae87ce471922580b1e5356b53194b9b1eed522a8)
+++ cpukit/score/cpu/sparc/Makefile.am	(revision 22ed9d0ff1d288560b2604750150d22e3614a8f2)
@@ -28,5 +28,5 @@
     rtems/score/sparc.h \
     rtems/score/cpu.h \
-    rtems/score/sparctypes.h
+    rtems/score/types.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
     $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h)
Index: cpukit/score/cpu/sparc/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/sparc/rtems/score/cpu.h	(revision ae87ce471922580b1e5356b53194b9b1eed522a8)
+++ cpukit/score/cpu/sparc/rtems/score/cpu.h	(revision 22ed9d0ff1d288560b2604750150d22e3614a8f2)
@@ -23,5 +23,5 @@
 #include <rtems/score/sparc.h>               /* pick up machine definitions */
 #ifndef ASM
-#include <rtems/score/sparctypes.h>
+#include <rtems/score/types.h>
 #endif
 
